Package org.eclipse.emf.compare.rcp.ui.internal.preferences.impl

## Class InteractiveUIContent.InteractiveUIBuilder<T>

- java.lang.Object
- - org.eclipse.emf.compare.rcp.ui.internal.preferences.impl.InteractiveUIContent.InteractiveUIBuilder<T>

Type Parameters:
  `T` - type of item in the viewer.

Enclosing class:
  InteractiveUIContent

    public static class InteractiveUIContent.InteractiveUIBuilder<T>
    extends Object

Builder for an Interactive UI.

### Constructor Summary

Constructors
`InteractiveUIBuilder​(org.eclipse.swt.widgets.Composite parent, IItemRegistry<T> registry)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`InteractiveUIContent` `build()` Build a new `InteractiveUI`.
`InteractiveUIContent.InteractiveUIBuilder<T>` `setConfigurationNodeKey​(String key)` Node key used to get the `Preferences` to retrieve `IConfigurationUIFactory`.
`InteractiveUIContent.InteractiveUIBuilder<T>` `setConfiguratorUIRegistry​(Map<String,​IConfigurationUIFactory> configuratorUIRegistry)` Registry of `IConfigurationUIFactory` used to fill the configuration composite.
`InteractiveUIContent.InteractiveUIBuilder<T>` `setDefaultCheck​(Set<IItemDescriptor<T>> newDefaultCheck)` Sets the default element to check.
`InteractiveUIContent.InteractiveUIBuilder<T>` `setDefaultSelection​(IItemDescriptor<T> newDefaultSelection)` Set the default element to select.
`InteractiveUIContent.InteractiveUIBuilder<T>` `setHasDescription​(boolean newHasDescription)` Set to true if "this" needs to create a description field.
`InteractiveUIContent.InteractiveUIBuilder<T>` `setHoldingData​(DataHolder<T> newDataHolder)` Sets a dataHolder that will be synchronized with the checked element.
`InteractiveUIContent.InteractiveUIBuilder<T>` `setSimple​(boolean newIsSimple)` Set to true if the viewer can only have only one element checked at a time.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InteractiveUIBuilder

    public InteractiveUIBuilder​(org.eclipse.swt.widgets.Composite parent,
                                IItemRegistry<T> registry)

Constructor.

Parameters:
  `parent` - Holding composite of all the structure.
  `registry` - Item registry holding input of the viewer.

### Method Detail

#### setHoldingData

    public InteractiveUIContent.InteractiveUIBuilder<T> setHoldingData​(DataHolder<T> newDataHolder)

Sets a dataHolder that will be synchronized with the checked element.

Parameters:
  `newDataHolder` - DataHolder.
Returns:
  `InteractiveUIContent.InteractiveUIBuilder`

#### setConfigurationNodeKey

    public InteractiveUIContent.InteractiveUIBuilder<T> setConfigurationNodeKey​(String key)

Node key used to get the `Preferences` to retrieve `IConfigurationUIFactory`. See `ItemUtil#getConfigurationPreferenceNode(String, String)` (needed if a ConfigurationUIRegistry has been provided)

Parameters:
  `key` - .
Returns:
  `InteractiveUIContent.InteractiveUIBuilder`

#### setConfiguratorUIRegistry

    public InteractiveUIContent.InteractiveUIBuilder<T> setConfiguratorUIRegistry​(Map<String,​IConfigurationUIFactory> configuratorUIRegistry)

Registry of `IConfigurationUIFactory` used to fill the configuration composite.

Parameters:
  `configuratorUIRegistry` - .
Returns:
  `InteractiveUIContent.InteractiveUIBuilder`

#### setDefaultCheck

    public InteractiveUIContent.InteractiveUIBuilder<T> setDefaultCheck​(Set<IItemDescriptor<T>> newDefaultCheck)

Sets the default element to check. (A singleton if "this" is set to simple `setSimple(boolean)`

Parameters:
  `newDefaultCheck` - .
Returns:
  InteractiveUIBuilder

#### setDefaultSelection

    public InteractiveUIContent.InteractiveUIBuilder<T> setDefaultSelection​(IItemDescriptor<T> newDefaultSelection)

Set the default element to select.

Parameters:
  `newDefaultSelection` - .
Returns:
  InteractiveUIBuilder

#### setHasDescription

    public InteractiveUIContent.InteractiveUIBuilder<T> setHasDescription​(boolean newHasDescription)

Set to true if "this" needs to create a description field.

Parameters:
  `newHasDescription` - .
Returns:
  `InteractiveUIContent.InteractiveUIBuilder`

#### setSimple

    public InteractiveUIContent.InteractiveUIBuilder<T> setSimple​(boolean newIsSimple)

Set to true if the viewer can only have only one element checked at a time.

Parameters:
  `newIsSimple` - .
Returns:
  `InteractiveUIContent.InteractiveUIBuilder`

#### build

    public InteractiveUIContent build()

Build a new `InteractiveUI`.

Returns:
  InteractiveUIContent